routes/web.php
<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\HomeController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\MasterLoginController;
use App\Http\Controllers\Admin\MasterApplicationController;
use App\Http\Controllers\Admin\MasterProductController;
use App\Http\Controllers\Admin\LayoutHomeController;
use App\Http\Controllers\Admin\LayoutAboutController;
use App\Http\Controllers\Admin\LayoutManufacturingController;
use App\Http\Controllers\Admin\LayoutNewsController;
use App\Http\Controllers\Admin\LayoutContactController;
use App\Http\Controllers\Admin\NewsController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::controller(HomeController::class)->group(function () {
    Route::get('/', 'index')->name('home');
    Route::get('/about-us', 'aboutus')->name('aboutus');
    Route::get('/manufacturing', 'manufacturing')->name('manufacturing');
    Route::get('/product', 'product')->name('product');
    Route::get('/product/json', 'product_json')->name('productJson');
    Route::post('/product/foodmail', 'productFootmail')->name('product.foodmail');
    Route::post('/product/splytmail', 'productSplytmail')->name('product.splytmail');
    Route::prefix('/applications')->group(function(){
        Route::get('/aseptic-packaging', 'aseptic')->name('aseptic');
        Route::get('/paper-packaging', 'paper')->name('paper');
    });
    Route::prefix('/contact-us')->group(function(){
        Route::get('/', 'contact')->name('contact');
        Route::post('/store', 'contact_store')->name('contact.store');
    });
    Route::prefix('/news')->group(function(){
        Route::get('/', 'news')->name('news');
        Route::get('/{id}/{slug}', 'news_detail')->name('news.detail');
    });
});
Route::get('/panel', function(){ return redirect()->route('login'); });
Route::prefix('/admin')->group(function(){
    Route::get('/', [AuthController::class, 'login'])->name('login');
    Route::post('/', [AuthController::class, 'login_process'])->name('login.process');
});
Route::get('/logout', [AuthController::class, 'logout_process'])->name('logout');

Route::middleware('auth')->group(function(){
    Route::controller(DashboardController::class)->group(function(){
        Route::prefix('/dashboard')->group(function(){
            Route::get('/', 'index')->name('dashboard');
        });
    });
    Route::prefix('/master')->name('master.')->group(function(){
        Route::resource('/login', MasterLoginController::class);
        Route::post('/login/{id}', [MasterLoginController::class, 'update']);

        Route::resource('/application', MasterApplicationController::class);
        Route::resource('/product', MasterProductController::class);
    });
    Route::prefix('/layouts')->name('layout.')->group(function(){
        Route::resource('/home', LayoutHomeController::class);
        Route::resource('/about', LayoutAboutController::class);
        Route::resource('/manufacturing', LayoutManufacturingController::class);
        Route::resource('/news', LayoutNewsController::class);
        Route::resource('/contact', LayoutContactController::class);
    });
    Route::prefix('/admin')->group(function(){
        Route::resource('/news', NewsController::class);
        Route::post('/news/{id}', [NewsController::class, 'update'])->name('news.update');
        Route::post('/news-upload-image', [NewsController::class, 'upload_image'])->name('news.upload.image');
    });
});

resources/views/pages/admin/theme/footer.blade.php
<footer class="main-footer">
    <strong>Copyright &copy; <?= date("Y"); ?> NexPac.</strong>All rights reserved.
    <div class="float-right d-none d-sm-inline-block">  </div>
</footer>

resources/views/pages/admin/theme/header.blade.php
<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="{{ route('dashboard') }}" class="nav-link">Home</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item d-none d-sm-inline-block">
        <a href="{{ route('logout') }}" class="nav-link">Log Out</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

resources/views/pages/admin/theme/layout.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    @include('pages.admin.theme.meta')

</head>
<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        @include('pages.admin.theme.header')
        @include('pages.admin.theme.sidebar')

        @yield('content')

        @include('pages.admin.theme.footer')
    </div>

    @include('pages.admin.theme.script')
    @stack('script')
</body>
</html>

resources/views/pages/admin/theme/meta.blade.php
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="csrf-token" content="{{ csrf_token() }}">
<title>NexPac | @yield('title')</title>
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
<link rel="stylesheet" href="{{ asset('assets-panel/plugins/fontawesome-free/css/all.min.css') }}">
<link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
<link rel="stylesheet" href="{{ asset('assets-panel/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets-panel/plugins/icheck-bootstrap/icheck-bootstrap.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets-panel/assets/css/adminlte.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets-panel/plugins/overlayScrollbars/css/OverlayScrollbars.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets-panel/plugins/daterangepicker/daterangepicker.css') }}">
<link rel="stylesheet" href="{{ asset('assets-panel/plugins/summernote/summernote-bs4.min.css') }}">
<script src="{{ asset('assets-panel/plugins/jquery/jquery.min.js') }}"></script>
<link rel="stylesheet" href="{{ asset('assets-panel/plugins/jquery.tagsinput/jquery.tagsinput.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets-panel/assets/css/style.css') }}">
<link rel="shortcut icon" href="{{ asset('assets/images/favicon.png') }}">

resources/views/pages/admin/theme/script.blade.php
<!-- jQuery UI 1.11.4 -->
<script src="plugins/jquery-ui/jquery-ui.min.js"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
$.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<script src="{{ asset('assets-panel/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<script src="{{ asset('assets-panel/plugins/moment/moment.min.js') }}"></script>
<script src="{{ asset('assets-panel/plugins/daterangepicker/daterangepicker.js') }}"></script>
<script src="{{ asset('assets-panel/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js') }}"></script>
<script src="{{ asset('assets-panel/plugins/summernote/summernote-bs4.min.js') }}"></script>
<script src="{{ asset('assets-panel/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js') }}"></script>
<script src="{{ asset('assets-panel/plugins/jquery.tagsinput/jquery.tagsinput.min.js') }}"></script>
<script src="{{ asset('assets-panel/plugins/jquery-validation/jquery.validate.min.js') }}"></script>
<script src="{{ asset('assets-panel/assets/js/adminlte.js') }}"></script>

resources/views/pages/admin/theme/sidebar.blade.php
<!-- Main Sidebar Container -->
@php
    isset($data['mod']) ? $mod = $data['mod'] : $mod = '';
    isset($data['page']) ? $page = $data['page'] : $page = '';
@endphp
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index.php" class="brand-link">
      <img src="{{ asset('assets-panel/assets/img/logo.png') }}" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">NexPac</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="{{ asset('assets-panel/assets/img/user.png') }}" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="{{ route('dashboard') }}" class="d-block">{{ \Str::upper(auth()->user()->username) }}</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">

          <li class="nav-item <?php if ($mod=="master") echo 'menu-is-opening menu-open' ?>">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-copy"></i>
              <p>
                Master
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{ route('master.login.index') }}" class="nav-link <?php if ($mod=="master" && $page=="login") echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Login</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{ route('master.application.index') }}" class="nav-link <?php if ($mod=="master" && $page=="application") echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Application</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{ route('master.product.index') }}" class="nav-link <?php if ($mod=="master" && $page=="product") echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Product</p>
                </a>
              </li>
            </ul>
          </li>
          <li class="nav-item <?php if ($mod=="layout") echo 'menu-is-opening menu-open' ?>">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-copy"></i>
              <p>
                Layouts
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{ route('layout.home.index') }}" class="nav-link <?php if ($mod=="layout" && $page=="home") echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Home</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{ route('layout.about.index') }}" class="nav-link <?php if ($mod=="layout" && $page=="about") echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>About Us</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{ route('layout.manufacturing.index') }}" class="nav-link <?php if ($mod=="layout" && $page=="manufacturing") echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Manufacturing</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{ route('layout.news.index') }}" class="nav-link <?php if ($mod=="layout" && $page=="news") echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>News</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{ route('layout.contact.index') }}" class="nav-link <?php if ($mod=="layout" && $page=="contact") echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Contact</p>
                </a>
              </li>
            </ul>
          </li>

          <li class="nav-item <?php if ($mod=="news") echo 'menu-is-opening menu-open' ?>">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-copy"></i>
              <p>
                News
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{ route('news.create') }}" class="nav-link <?php if ($mod=="news" && $page=="add_post") echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Add Post</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{ route('news.index') }}" class="nav-link <?php if ($mod=="news" && ($page=="view_post" || $page=="edit_post")) echo 'active' ?>">
                  <i class="far fa-circle nav-icon"></i>
                  <p>View Post</p>
                </a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>